aboutsummaryrefslogtreecommitdiff
path: root/ci-tests
diff options
context:
space:
mode:
authorAndrew Waterman <andrew@sifive.com>2020-09-22 14:50:21 -0700
committerAndrew Waterman <andrew@sifive.com>2020-09-22 16:51:00 -0700
commit648e16e7783f1a91d7f65b4b8d38a84d917235d6 (patch)
tree26647df07bd495393f13e8af0f918b25eb1475e0 /ci-tests
parent4672cf245cfcea2723ed568f0f0b3baa50711213 (diff)
downloadspike-648e16e7783f1a91d7f65b4b8d38a84d917235d6.zip
spike-648e16e7783f1a91d7f65b4b8d38a84d917235d6.tar.gz
spike-648e16e7783f1a91d7f65b4b8d38a84d917235d6.tar.bz2
Add basic continuous-integration flow
Diffstat (limited to 'ci-tests')
-rwxr-xr-xci-tests/test-spike11
1 files changed, 11 insertions, 0 deletions
diff --git a/ci-tests/test-spike b/ci-tests/test-spike
new file mode 100755
index 0000000..3d5ed6d
--- /dev/null
+++ b/ci-tests/test-spike
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
+
+mkdir build
+cd build
+mkdir install
+$DIR/../configure --prefix=`pwd`/install
+make -j4
+make install